Package org.pgpainless.key.generation.type.ecc

# Enum Class EllipticCurve

java.lang.Object
java.lang.Enum<EllipticCurve>
org.pgpainless.key.generation.type.ecc.EllipticCurve

All Implemented Interfaces:
  `Serializable`, `Comparable<EllipticCurve>`, `Constable`

public enum EllipticCurve extends Enum<EllipticCurve>
Elliptic curves for use with `ECDH`/`ECDSA`. For curve25519 related curve definitions see `XDHSpec` and `EdDSACurve`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`_BRAINPOOLP256R1`
`_BRAINPOOLP384R1`
`_BRAINPOOLP512R1`
`_P256`
`_P384`
`_P521`

## Method Summary

Modifier and Type
Method
Description
`int`
`getBitStrength()`
`String`
`getName()`
`static EllipticCurve`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EllipticCurve[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### _P256

public static final EllipticCurve _P256

### _P384

public static final EllipticCurve _P384

### _P521

public static final EllipticCurve _P521

### _BRAINPOOLP256R1

public static final EllipticCurve _BRAINPOOLP256R1

### _BRAINPOOLP384R1

public static final EllipticCurve _BRAINPOOLP384R1

### _BRAINPOOLP512R1

public static final EllipticCurve _BRAINPOOLP512R1

## Method Details

### values

public static EllipticCurve[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EllipticCurve valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getName

public String getName()

### getBitStrength

public int getBitStrength()